Recommended TensorFlow that supports CUDA present in the runtime environment

The recommended software stack has a TensorFlow release that is supported with the CUDA version present in the environment.

Issue description

TensorFlow releases are compatible with a specific version of CUDA. See official instructions for TensorFlow/CUDA version support matrix.

The CUDA version used during recommendations corresponds to the one present in Thoth’s .thoth.yaml file. The CUDA version can be automatically detected, if not provided explicitly - see Thamos documentation for more info together with configuration options that can be used.

Check resolution log for more information on what TensorFlow releases were removed from the resolution process:

thamos log

Affected packages:

Severity

Pipeline units

Recommendation types

See this document that describes recommendation types listed.